diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index ea65ca7ac..b1156bf4f 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -777,7 +777,7 @@ define([
                   add_title: gettext('Add new user'),
                 },
                 $gridBody = $('<div></div>', {
-                  class: 'user_container',
+                  class: 'user_container flex-grow-1',
                 });
 
               $.ajax({
@@ -801,12 +801,12 @@ define([
                 row: UserRow,
                 columns: gridSchema.columns,
                 collection: userCollection,
-                className: 'backgrid table table-bordered table-noouter-border table-hover',
+                className: 'backgrid table table-bordered table-noouter-border table-bottom-border table-hover',
               });
 
               $gridBody.append(view.render().$el[0]);
 
-              this.$content = $('<div class=\'user_management object subnode subnode-noouter-border\'></div>').append(
+              this.$content = $('<div class=\'user_management object subnode subnode-noouter-border d-flex flex-column\'></div>').append(
                 headerTpl(data)).append($gridBody).append($statusBar);
 
               this.elements.content.appendChild(this.$content[0]);
diff --git a/web/pgadmin/tools/user_management/static/scss/_user_management.scss b/web/pgadmin/tools/user_management/static/scss/_user_management.scss
index ca1b090a2..c45ea9bac 100644
--- a/web/pgadmin/tools/user_management/static/scss/_user_management.scss
+++ b/web/pgadmin/tools/user_management/static/scss/_user_management.scss
@@ -4,11 +4,19 @@
 
 .user_container {
   border-bottom: $panel-border;
+  height: 100%;
+  min-height: 0;
+  margin-top: $title-height;
 }
 
 .user_management {
   height: 100%;
   overflow: hidden;
+
+  & .navtab-inline-controls {
+    position: absolute;
+    width: 100%;
+  }
 }
 
 .user_management .search_users form {
@@ -24,4 +32,4 @@
 
 .user_management .backform-tab {
   height: calc(100% - 75px);
-}
\ No newline at end of file
+}
